Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.conversation
Class ConversationType

    java.lang.Object
      |
      +--com.bea.b2b.protocol.conversation.ConversationType

public class ConversationType
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The ConversationType class represents a conversation definition for a trading partner who has subscribed to a role.

Attributes include: name, version, and role for which the trading partner is authorized in the conversation.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`boolean` | `equals(java.lang.Object obj)` Determines whether two conversation types are equivalent (true) or not (false).
`java.lang.String` | `getName()` Gets the name of this conversation.
`java.lang.String` | `getRole()` Gets the authorized role of the trading partner in this conversation.
`java.lang.String` | `getVersion()` Gets the version of this conversation.
`int` | `hashCode()` Gets the hashCode.
`java.lang.String` | `toString()` Converts the conversation type to a String using the following format: name:version:role.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this conversation.

  Returns:
    String - Conversation name.

### getVersion

    public java.lang.String getVersion()

  Gets the version of this conversation.

  Returns:
    String - Conversation version.

### getRole

    public java.lang.String getRole()

  Gets the authorized role of the trading partner in this conversation.

  Returns:
    String - Trading partner role.

### hashCode

    public int hashCode()

  Gets the hashCode.

  Returns:
    int -
  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether two conversation types are equivalent (true) or not (false).

  Returns:
    boolean - true if equivalent, or false if not.
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Converts the conversation type to a String using the following format: name:version:role.

  Returns:
    String - String representation of the conversation type.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)